/*
 * This file is part of FGGL.
 *
 * FGGL is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * FGGL is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with FGGL.
 * If not, see <https://www.gnu.org/licenses/>.
 */

//
// Created by webpigeon on 10/07/23.
//

#ifndef FGGL_COMPONENTS_CORE_PLATFORM_PATHS_HPP
#define FGGL_COMPONENTS_CORE_PLATFORM_PATHS_HPP

#ifdef __linux__
	#define FGGL_PLATFORM_PATHS linux
	#include "linux/paths.hpp"
#else
	#define FGGL_PLATFORM_PATHS fallback
	#include "fallback/paths.hpp"
#endif

#endif //FGGL_COMPONENTS_CORE_PLATFORM_PATHS_HPP
